<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags"%>

<!-- Page Content  -->
<div id="divContent">

<%--	<button type="button" id="myModalBtn" class="btn btn-primary">
		<span>Launch modal</span>
	</button>

	<button type="button" id="sidebarToolBtn" class="btn btn-info">
		<i class="fas fa-align-left"></i> <span>Toggle Sidebar2</span>
	</button>

 	<nav class="navbar navbar-expand-lg navbar-light bg-light">
		<div class="container-fluid">

			<button type="button" id="sidebarCollapse" class="btn btn-info">
				<i class="fas fa-align-left"></i> <span>Toggle Sidebar</span>
			</button>
			<button class="btn btn-dark d-inline-block d-lg-none ml-auto"
				type="button" data-toggle="collapse"
				data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false"
				aria-label="Toggle navigation">
				<i class="fas fa-align-justify"></i>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="nav navbar-nav ml-auto">
					<li class="nav-item active"><a class="nav-link" href="#">Page</a>
					</li>
					<li class="nav-item"><a class="nav-link" href="#">Page</a></li>
					<li class="nav-item"><a class="nav-link" href="#">Page</a></li>
					<li class="nav-item"><a class="nav-link" href="#">Page</a></li>
				</ul>
			</div>
		</div>
	</nav> --%>
	
	<div id="divCondition" style="background-color: #eeeeee; height: 120px;">
		<span style="mar">조건부</span>
	</div>
	<div id="divResult">
		<div id="divResultHeader">
			<div class="row" style="overflow: hidden; background-color: yellow;">
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div id="divResultHeaderColumn1" class="col-xs-3 col-sm-3 col-lg-3">환자번호</div>
					<div id="divResultHeaderColumn2" class="col-xs-3 col-sm-3 col-lg-3">환자명</div>
					<div id="divResultHeaderColumn3" class="col-xs-3 col-sm-3 col-lg-3">병동/병실/병상</div>
					<div id="divResultHeaderColumn4" class="col-xs-3 col-sm-3 col-lg-3">나이/성별</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div id="divResultHeaderColumn5" class="col-xs-3 col-sm-3 col-lg-3">진료과/진료의</div>
					<div id="divResultHeaderColumn6" class="col-xs-3 col-sm-3 col-lg-3">주치의</div>
					<div id="divResultHeaderColumn7" class="col-xs-3 col-sm-3 col-lg-3">입원일</div>
					<div id="divResultHeaderColumn8" class="col-xs-3 col-sm-3 col-lg-3">생년월일</div>
				</div>
			</div>
		</div>
		<div id="divResultRows">
			<div class="row patient-row" patientNo="0" patientId="111222333" style="overflow: hidden; background-color: aqua;">
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content1</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content2</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content3</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content4</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content5</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content6</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content7</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content8</div>
				</div>
			</div>
			<div class="row patient-row" patientNo="1" patientId="111222333" style="overflow: hidden; background-color: aqua;">
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content1</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content2</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content3</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content4</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content5</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content6</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content7</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content8</div>
				</div>
			</div>
			<div class="row patient-row" patientNo="2" patientId="111222333" style="overflow: hidden; background-color: aqua;">
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content1</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content2</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content3</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content4</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content5</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content6</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content7</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content8</div>
				</div>
			</div>
			<div class="row patient-row" patientNo="3" patientId="111222333" style="overflow: hidden; background-color: aqua;">
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content1</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content2</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content3</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content4</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content5</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content6</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content7</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content8</div>
				</div>
			</div>
			<div class="row patient-row" patientNo="4" patientId="111222333" style="overflow: hidden; background-color: aqua;">
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content1</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content2</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content3</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content4</div>
				</div>
				<div class="col-xs-12 col-sm-6 col-lg-6">
					<div class="col-xs-3 col-sm-3 col-lg-3">content5</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content6</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content7</div>
					<div class="col-xs-3 col-sm-3 col-lg-3">content8</div>
				</div>
			</div>


		</div>
	</div>
	
	<div>
		<div align="center">
			<button type="button" class="btn btn-info" id="btnMedicalHistory">과거 진료 이력 조회</button>
			<button type="button" class="btn btn-info" id="btnMedicalRecord">진료 기록 조회</button>
			<button type="button" class="btn btn-info" id="btnPrescription">처방조회</button>
			<button type="button" class="btn btn-info" id="btnDrugInfo">복약안내</button>
			<button type="button" class="btn btn-info" id="btnExamList">검사결과 리스트</button>
			<button type="button" class="btn btn-info" id="btnExamRsltTy1">검사결과 타입1 - 검체검사</button>
			<button type="button" class="btn btn-info" id="btnExamRsltTy2">검사결과 타입2 - 판독결과</button>
			<button type="button" class="btn btn-info" id="btnOperationDetail">수술 상세</button>
			<button type="button" class="btn btn-info" id="btnTreatmentDetail">시술 상세</button>
			<button type="button" class="btn btn-info" id="btnCollaborationDetail">협진 상세</button>
			<button type="button" class="btn btn-info" id="btnVital">임상관찰 등록</button>
			<button type="button" class="btn btn-info" id="btnVitalList">임상관찰 조회</button>
			<button type="button" class="btn btn-info" id="btnMedication">투약실시 등록</button>
			<button type="button" class="btn btn-info" id="btnMedicationList">투약실시 조회</button>
			<button type="button" class="btn btn-info" id="btnDoctorWorkSchDetail">의사 당직 상세 일정</button>
			<button type="button" class="btn btn-info" id="btnNurseWorkSchDetail">간호사 당직 상세 일정</button>
			<button type="button" class="btn btn-info" id="btnInternWorkSchDetail">인턴 근무 상세 일정</button>
			<button type="button" class="btn btn-info" id="btnDoctorInfo">의사 정보</button>
		</div>
	</div>

	<h2>Collapsible Sidebar Using Bootstrap 4</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<div class="line"></div>

	<h2>Lorem Ipsum Dolor</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<div class="line"></div>

	<h2>Lorem Ipsum Dolor</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<div class="line"></div>

	<h3>Lorem Ipsum Dolor</h3>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<h2>Collapsible Sidebar Using Bootstrap 4</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<div class="line"></div>

	<h2>Lorem Ipsum Dolor</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<div class="line"></div>

	<h2>Lorem Ipsum Dolor</h2>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>

	<div class="line"></div>

	<h3>Lorem Ipsum Dolor</h3>
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
		eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
		minim veniam, quis nostrud exercitation ullamco laboris nisi ut
		aliquip ex ea commodo consequat. Duis aute irure dolor in
		reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
		pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
		culpa qui officia deserunt mollit anim id est laborum.</p>



	
	
</div>


<script type="text/javascript" src="<c:url value="/resources/js/mobile/test/test.js?version=" /><s:message code="mp.version"/>"></script>

<script type="text/javascript">
$(document).ready(function () {

	//==== 페이지 기본 설정 { ====
	$('#divHeader').css('display', 'block');
	$('#divHeaderTitle').text("test page");

    $('#dismiss, .overlay').on('click', function () {
        $('#divMainMenu').removeClass('active');
        $('#divQuickMenu').removeClass('active');
		$('.overlay').removeClass('active');
    });

    $('#myModalBtn').click(function(){
/* 		$('#modalPatientInfo').modal('show');
	  	var mplusModalPatientinfo = new mplus_modal_patientinfo();
	  	mplusModalPatientinfo.init(); */
	  	
		$('#modalSample').modal('show');
	  	var mplusModalSample = new mplus_modal_sample();
	  	mplusModalSample.init();
    });
	//==== 페이지 기본 설정 } ====
		
	//==== 서비스 객체 { ====
	var mplusTestTest = new mplus_test_test();
	mplusTestTest.init();
	//==== 서비스 객체 } ====
	
	// 모달 다이얼로그 버튼 이벤트 등록
	var eventModalBtnClick = function(){
			$("#btnMedicalHistory").off("click");
			$("#btnMedicalHistory").on("click", function(){
				$("#modalMedicalHistory").modal("show");
				mplusModalMedicalhistory.init();
			});	
			
			$("#btnMedicalRecord").off("click");
			$("#btnMedicalRecord").on("click", function(){
				$("#modalMedicalRecord").modal("show");
				mplusModalMedicalrecord.init();
			});	
			
			$("#btnPrescription").off("click");
			$("#btnPrescription").on("click", function(){
				$("#modalPrescription").modal("show");
				mplusModalPrescription.init();
			});	
			
			$("#btnDrugInfo").off("click");
			$("#btnDrugInfo").on("click", function(){
				$("#modalDrugInfo").modal("show");
				mplusModalDruginfo.init();
			});	
			
			$("#btnExamList").off("click");
			$("#btnExamList").on("click", function(){
				$("#modalExamList").modal("show");
				mplusModalExamlist.init();
			});	
			
			$("#btnExamRsltTy1").off("click");
			$("#btnExamRsltTy1").on("click", function(){
				$("#modalExamRsltTy1").modal("show");
				mplusModalExamrsltty1.init();
			});	
			
			$("#btnExamRsltTy2").off("click");
			$("#btnExamRsltTy2").on("click", function(){
				$("#modalExamRsltTy2").modal("show");
				mplusModalExamrsltty2.init();
			});	
			
			$("#btnOperationDetail").off("click");
			$("#btnOperationDetail").on("click", function(){
				$("#modalOperationDetail").modal("show");
				mplusModalOperationdetail.init();
			});	
			
			$("#btnTreatmentDetail").off("click");
			$("#btnTreatmentDetail").on("click", function(){
				$("#modalTreatmentDetail").modal("show");
				mplusModalTreatmentdetail.init();
			});	
			
			$("#btnCollaborationDetail").off("click");
			$("#btnCollaborationDetail").on("click", function(){
				$("#modalCollaborationDetail").modal("show");
				mplusModalCollaborationdetail.init();
			});	
				
			$("#btnVital").off("click");
			$("#btnVital").on("click", function(){
				$("#modalVital").modal("show");
				mplusModalVital.init();
			});	
			
			$("#btnVitalList").off("click");
			$("#btnVitalList").on("click", function(){
				$("#modalVitalList").modal("show");
				mplusModalVitallist.init();
			});	
			
			$("#btnMedication").off("click");
			$("#btnMedication").on("click", function(){
				$("#modalMedication").modal("show");
				mplusModalMedication.init();
			});	
			
			$("#btnMedicationList").off("click");
			$("#btnMedicationList").on("click", function(){
				$("#modalMedicationList").modal("show");
				mplusModalMedicationlist.init();
			});	
			
			$("#btnDoctorWorkSchDetail").off("click");
			$("#btnDoctorWorkSchDetail").on("click", function(){
				$("#modalDoctorWorkSchDetail").modal("show");
				mplusModalDoctorworkschdetail.init();
			});	
			
			$("#btnNurseWorkSchDetail").off("click");
			$("#btnNurseWorkSchDetail").on("click", function(){
				$("#modalNurseWorkSchDetail").modal("show");
				mplusModalNurseworkschdetail.init();
			});	
			
			$("#btnInternWorkSchDetail").off("click");
			$("#btnInternWorkSchDetail").on("click", function(){
				$("#modalInternWorkSchDetail").modal("show");
				mplusModalInternworkschdetail.init();
			});	
			
			$("#btnDoctorInfo").off("click");
			$("#btnDoctorInfo").on("click", function(){
				$("#modalDoctorInfo").modal("show");
				mplusModalDoctorinfo.init();
			});	
	};
	eventModalBtnClick();
	
});
</script>
